Loading...
Searching...
No Matches
fastjet::RestFrameNSubjettinessTaggerStructure Class Reference
FastJet tools » Taggers

the structure returned by the RestFrameNSubjettinessTagger transformer. More...

`#include <fastjet/tools/RestFrameNSubjettinessTagger.hh>`

Inheritance diagram for fastjet::RestFrameNSubjettinessTaggerStructure:
[legend]
Collaboration diagram for fastjet::RestFrameNSubjettinessTaggerStructure:
[legend]

## Public Member Functions

| RestFrameNSubjettinessTaggerStructure (const std::vector< PseudoJet > &pieces_in)
| ctor with pieces initialisation
double | tau2 () const
| returns the associated N-subjettiness
double | costhetas () const
| returns the associated angle with the boosted axis
Public Member Functions inherited from fastjet::CompositeJetStructure
| CompositeJetStructure ()
| default ctor
| CompositeJetStructure (const std::vector< PseudoJet > &initial_pieces, const JetDefinition::Recombiner *recombiner=0)
| ctor with initialisation
virtual | ~CompositeJetStructure ()
| default dtor
virtual std::string | description () const override
| description
virtual bool | has_constituents () const override
| true unless the jet has no pieces (see also the description of constituents() below)
virtual std::vector< PseudoJet > | constituents (const PseudoJet &jet) const override
| return the constituents (i.e.
virtual bool | has_pieces (const PseudoJet &) const override
| true if it has pieces (always the case)
virtual std::vector< PseudoJet > | pieces (const PseudoJet &jet) const override
| returns the pieces
virtual bool | has_area () const override
| check if it has a well-defined area
virtual double | area (const PseudoJet &reference) const override
| return the jet (scalar) area.
virtual double | area_error (const PseudoJet &reference) const override
| return the error (uncertainty) associated with the determination of the area of this jet.
virtual PseudoJet | area_4vector (const PseudoJet &reference) const override
| return the jet 4-vector area.
virtual bool | is_pure_ghost (const PseudoJet &reference) const override
| true if this jet is made exclusively of ghosts.
void | discard_area ()
| disable the area of the composite jet
Public Member Functions inherited from fastjet::PseudoJetStructureBase
| PseudoJetStructureBase ()
| default ctor
virtual | ~PseudoJetStructureBase ()
| default (virtual) dtor
virtual bool | has_associated_cluster_sequence () const
| returns true if there is an associated ClusterSequence
virtual const ClusterSequence * | associated_cluster_sequence () const
| get a (const) pointer to the parent ClusterSequence (NULL if inexistent)
virtual bool | has_valid_cluster_sequence () const
| returns true if this PseudoJet has an associated and still valid ClusterSequence.
virtual const ClusterSequence * | validated_cs () const
| if the jet has a valid associated cluster sequence then return a pointer to it; otherwise throw an error
virtual const ClusterSequenceAreaBase * | validated_csab () const
| if the jet has valid area information then return a pointer to the associated ClusterSequenceAreaBase object; otherwise throw an error
virtual bool | has_partner (const PseudoJet &reference, PseudoJet &partner) const
| check if it has been recombined with another PseudoJet in which case, return its partner through the argument.
virtual bool | has_child (const PseudoJet &reference, PseudoJet &child) const
| check if it has been recombined with another PseudoJet in which case, return its child through the argument.
virtual bool | has_parents (const PseudoJet &reference, PseudoJet &parent1, PseudoJet &parent2) const
| check if it is the product of a recombination, in which case return the 2 parents through the 'parent1' and 'parent2' arguments.
virtual bool | object_in_jet (const PseudoJet &reference, const PseudoJet &jet) const
| check if the reference PseudoJet is contained the second one passed as argument.
virtual bool | has_exclusive_subjets () const
| return true if the structure supports exclusive_subjets.
virtual std::vector< PseudoJet > | exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return a vector of all subjets of the current jet (in the sense of the exclusive algorithm) that would be obtained when running the algorithm with the given dcut.
virtual int | n_exclusive_subjets (const PseudoJet &reference, const double &dcut) const
| return the size of exclusive_subjets(...); still n ln n with same coefficient, but marginally more efficient than manually taking exclusive_subjets.size()
virtual std::vector< PseudoJet > | exclusive_subjets_up_to (const PseudoJet &reference, int nsub) const
| return the list of subjets obtained by unclustering the supplied jet down to nsub subjets (or all constituents if there are fewer than nsub).
virtual double | exclusive_subdmerge (const PseudoJet &reference, int nsub) const
| return the dij that was present in the merging nsub+1 -> nsub subjets inside this jet.
virtual double | exclusive_subdmerge_max (const PseudoJet &reference, int nsub) const
| return the maximum dij that occurred in the whole event at the stage that the nsub+1 -> nsub merge of subjets occurred inside this jet.

## Protected Attributes

double | _tau2
| the value of the N-subjettiness
double | _costhetas
| the minimal angle between the dijets and the boost axis
Protected Attributes inherited from fastjet::CompositeJetStructure
std::vector< PseudoJet > | _pieces
| the pieces building the jet
PseudoJet * | _area_4vector_ptr
| pointer to the 4-vector jet area

## Friends

class | RestFrameNSubjettinessTagger

## Detailed Description

the structure returned by the RestFrameNSubjettinessTagger transformer.

See the RestFrameNSubjettinessTagger class description for the details of what is inside this structure

Definition at line 137 of file RestFrameNSubjettinessTagger.hh.

## Constructor & Destructor Documentation

## RestFrameNSubjettinessTaggerStructure()

fastjet::RestFrameNSubjettinessTaggerStructure::RestFrameNSubjettinessTaggerStructure | ( | const std::vector< PseudoJet > & | pieces_in | ) |

inline

ctor with pieces initialisation

Definition at line 140 of file RestFrameNSubjettinessTagger.hh.

## Member Function Documentation

## tau2()

double fastjet::RestFrameNSubjettinessTaggerStructure::tau2 | ( |  | ) | const

inline

returns the associated N-subjettiness

Definition at line 144 of file RestFrameNSubjettinessTagger.hh.

## costhetas()

double fastjet::RestFrameNSubjettinessTaggerStructure::costhetas | ( |  | ) | const

inline

returns the associated angle with the boosted axis

Definition at line 147 of file RestFrameNSubjettinessTagger.hh.

## Friends And Related Symbol Documentation

## RestFrameNSubjettinessTagger

friend class RestFrameNSubjettinessTagger

friend

Definition at line 159 of file RestFrameNSubjettinessTagger.hh.

## Member Data Documentation

## _tau2

double fastjet::RestFrameNSubjettinessTaggerStructure::_tau2

protected

the value of the N-subjettiness

Definition at line 153 of file RestFrameNSubjettinessTagger.hh.

## _costhetas

double fastjet::RestFrameNSubjettinessTaggerStructure::_costhetas

protected

the minimal angle between the dijets and the boost axis

Definition at line 154 of file RestFrameNSubjettinessTagger.hh.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/RestFrameNSubjettinessTagger.hh